DUMMY_CS(4)

NAME
dummy_cs - PCMCIA dummy device driver

SYNOPSIS
insmod dummy_cs.o [pc_debug= n] [free_ports= n] [irq_list= i,j,...]

DESCRIPTION
The dummy_cs module has two purposes. It is intended as a demonstration of how to write the PCMCIA interface code for a client driver, and the source code is heavily commented. It is also written to function as a sort of generic ``point enabler'': when bound to any PCMCIA IO card, it will read the card's Configuration Information Structure, and configure the card appropriately. The configuration includes setting up IO and memory windows, configuring the card for interrupts, and initializing the card's PCMCIA configuration registers.

It turns out that many cards report incomplete or inaccurate configuration information, due to vendor carelessness and the complexity of the data format. A vendor driver can generally take for granted many configuration details, so there is not much incentive for vendors to ensure that the on-card information is complete. Thus, the dummy_cs module is limited by its generality: since it makes no assumptions about card types, it is forced to rely on the card information, for better or worse.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

free_ports=n
    A flag indicating if the IO ports allocated for the card should be freed from the kernel resource maps. This is useful if the dummy driver is being used to configure a card in preparation for loading a specific PCMCIA-unaware driver. The default is 0 (false).

irq_list=i,j,...
    Specifies the set of interrupts that may be allocated by this driver.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8), pcmcia(5).